Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management.modelmbean
Class ModelMBeanConstructorInfo

    java.lang.Object
      javax.management.MBeanFeatureInfo
          javax.management.MBeanConstructorInfo
              javax.management.modelmbean.ModelMBeanConstructorInfo

All Implemented Interfaces:
  Serializable, Cloneable, DescriptorAccess

    public class ModelMBeanConstructorInfo

extends MBeanConstructorInfo
implements DescriptorAccess, Cloneable

The ModelMBeanConstructorInfo object describes a constructor of the ModelMBean. It is a subclass of MBeanConstructorInfo with the addition of an associated Descriptor and an implementation of the DescriptorAccess interface.

     The fields in the descriptor are defined, but not limited to, the following:
     name           : constructor name
     descriptorType : must be "operation"
     role           : must be "constructor"
     displayName    : human readable name of constructor
     visibility            : 1-4 where 1: always visible 4: rarely visible
     presentationString :  xml formatted string to describe how to present operation

The persistPolicy and currencyTimeLimit fields are not valid for the constructor. The default descriptor will have the name, descriptorType, displayName and role fields.

Since:
  1.5
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.management.MBeanFeatureInfo
`description, name`

Constructor Summary
`ModelMBeanConstructorInfo(String description, Constructor constructorMethod)` Constructs a MBeanConstructorInfo object with a default descriptor.
`ModelMBeanConstructorInfo(String description, Constructor constructorMethod, Descriptor descriptor)` Constructs a MBeanConstructorInfo object.
`ModelMBeanConstructorInfo(String name, String description, MBeanParameterInfo[] signature)` Constructs a ModelMBeanConstructorInfo object with a default descriptor.
`ModelMBeanConstructorInfo(String name, String description, MBeanParameterInfo[] signature, Descriptor descriptor)` Constructs a MBeanConstructorInfo object.

Method Summary
`Object` | `clone()` Creates and returns a new ModelMBeanConstructorInfo which is a duplicate of this ModelMBeanConstructorInfo.
`Descriptor` | `getDescriptor()` Returns a copy of the associated Descriptor.
`void` | `setDescriptor(Descriptor inDescriptor)` Sets associated Descriptor (full replace) of ModelMBeanConstructorInfo.
`String` | `toString()` Returns a string containing the entire contents of the ModelMBeanConstructorInfo in human readable form.

Methods inherited from class javax.management.MBeanConstructorInfo
`equals, getSignature, hashCode`

Methods inherited from class javax.management.MBeanFeatureInfo
`getDescription, getName`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ModelMBeanConstructorInfo

    public ModelMBeanConstructorInfo(String description,
                                     Constructor constructorMethod)

  Constructs a MBeanConstructorInfo object with a default descriptor.

  Parameters:
    `description` - A human readable description of the constructor.
    `constructorMethod` - The java.lang.reflect.Method object describing the MBean constructor.

### ModelMBeanConstructorInfo

    public ModelMBeanConstructorInfo(String description,
                                     Constructor constructorMethod,
                                     Descriptor descriptor)

  Constructs a MBeanConstructorInfo object.

  Parameters:
    `description` - A human readable description of the constructor.
    `constructorMethod` - The java.lang.reflect.Method object describing the ModelMBean constructor.
    `descriptor` - An instance of Descriptor containing the appropriate metadata for this instance of the ModelMBeanConstructorInfo. If it is null, then a default descriptor will be created.If the descriptor does not contain the field "displayName" this fields is added in the descriptor with its default value.
  Throws:
    `RuntimeOperationsException` - Wraps an IllegalArgumentException. The descriptor is invalid, or descriptor field "name" is not equal to name parameter, or descriptor field "DescriptorType" is not equal to "operation" or descriptor field "role" is not equal to "constructor".

### ModelMBeanConstructorInfo

    public ModelMBeanConstructorInfo(String name,
                                     String description,
                                     MBeanParameterInfo[] signature)

  Constructs a ModelMBeanConstructorInfo object with a default descriptor.

  Parameters:
    `name` - The name of the constructor.
    `description` - A human readable description of the constructor.
    `signature` - MBeanParameterInfo object array describing the parameters(arguments) of the constructor.

### ModelMBeanConstructorInfo

    public ModelMBeanConstructorInfo(String name,
                                     String description,
                                     MBeanParameterInfo[] signature,
                                     Descriptor descriptor)

  Constructs a MBeanConstructorInfo object.

  Parameters:
    `name` - The name of the constructor.
    `description` - A human readable description of the constructor.
    `signature` - MBeanParameterInfo objects describing the parameters(arguments) of the constructor.
    `descriptor` - An instance of Descriptor containing the appropriate metadata for this instance of the MBeanConstructorInfo. If it is null then a default descriptor will be created. If the descriptor does not contain the field "displayName" this field is added in the descriptor with its default value.
  Throws:
    `RuntimeOperationsException` - Wraps an IllegalArgumentException. The descriptor is invalid, or descriptor field "name" is not equal to name parameter, or descriptor field "DescriptorType" is not equal to "operation" or descriptor field "role" is not equal to "constructor".

Method Detail

### clone

    public Object clone()

  Creates and returns a new ModelMBeanConstructorInfo which is a duplicate of this ModelMBeanConstructorInfo.

  Overrides:
    `clone` in class `MBeanConstructorInfo`
  Returns:
    a clone of this instance.
  See Also:
    `Cloneable`

### getDescriptor

    public Descriptor getDescriptor()

  Returns a copy of the associated Descriptor.

  Specified by:
    `getDescriptor` in interface `DescriptorAccess`
  Returns:
    Descriptor associated with the ModelMBeanConstructorInfo object.
  See Also:
    `setDescriptor(javax.management.Descriptor)`

### setDescriptor

    public void setDescriptor(Descriptor inDescriptor)

  Sets associated Descriptor (full replace) of ModelMBeanConstructorInfo. If the new Descriptor is null, then the associated Descriptor reverts to a default descriptor. The Descriptor is validated before it is assigned. If the new Descriptor is invalid, then a RuntimeOperationsException wrapping an IllegalArgumentException is thrown.

  Specified by:
    `setDescriptor` in interface `DescriptorAccess`
  Parameters:
    `inDescriptor` - replaces the Descriptor associated with the ModelMBeanConstructor. If the descriptor does not contain the field "displayName" this field is added in the descriptor with its default value.
  Throws:
    `RuntimeOperationsException` - Wraps an IllegalArgumentException. The descriptor is invalid, or descriptor field "name" is not equal to name parameter, or descriptor field "DescriptorType" is not equal to "operation" or descriptor field "role" is not equal to "constructor".
  See Also:
    `getDescriptor()`

### toString

    public String toString()

  Returns a string containing the entire contents of the ModelMBeanConstructorInfo in human readable form.

  Overrides:
    `toString` in class `Object`
  Returns:
    a string representation of the object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.